# Uses of Interface
org.eclipse.emf.cdo.view.CDOViewProvider

Packages that use CDOViewProvider
Package
Description
org.eclipse.emf.cdo.net4j
Client concepts for dealing with Net4j-based sessions to remote repositories.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOViewProvider in org.eclipse.emf.cdo.net4j

Classes in org.eclipse.emf.cdo.net4j that implement CDOViewProvider
Modifier and Type
Class
Description
`class`
`CDONet4jViewProvider`
A `view provider` that uses Net4j-specific CDO `sessions` to open views.
`static class`
`CDONet4jViewProvider.JVM`
A JVM-based `view provider`.
`static class`
`CDONet4jViewProvider.SSL`
An SSL-based `view provider`.
`static class`
`CDONet4jViewProvider.TCP`
A TCP-based `view provider`.
`static class`
`CDONet4jViewProvider.WS`
A WS-based `view provider`.

## Uses of CDOViewProvider in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOViewProvider
Modifier and Type
Method
Description
`CDOViewProvider`
CDOPushTransaction.`getProvider()`

## Uses of CDOViewProvider in org.eclipse.emf.cdo.view

Subinterfaces of CDOViewProvider in org.eclipse.emf.cdo.view
Modifier and Type
Interface
Description
`static interface`
`CDOViewProvider.CDOViewProvider2`
A `view provider` with advanced `view URI` and `path` information methods.
Classes in org.eclipse.emf.cdo.view that implement CDOViewProvider
Modifier and Type
Class
Description
`class`
`AbstractCDOViewProvider`
Base logic to handle CDOViewProvider priority and regular expression.
`class`
`ManagedContainerViewProvider`
Base class for `ManagedContainer` based `CDOViewProvider`
Methods in org.eclipse.emf.cdo.view that return CDOViewProvider
Modifier and Type
Method
Description
`CDOViewProvider`
CDOView.`getProvider()`
Returns the `provider` that has opened this view.
`CDOViewProvider[]`
CDOViewProviderRegistry.`getViewProviders(URI uri)`
Returns an array of `CDOViewProvider` instances, determined and ordered by certain criteria based on the argument URI.
Methods in org.eclipse.emf.cdo.view that return types with arguments of type CDOViewProvider
Modifier and Type
Method
Description
`org.eclipse.net4j.util.collection.Pair<CDOView,CDOViewProvider>`
CDOViewProviderRegistry.`provideViewWithInfo(URI uri, ResourceSet resourceSet)`
Deprecated.
As of 4.4.
Methods in org.eclipse.emf.cdo.view with parameters of type CDOViewProvider
Modifier and Type
Method
Description
`void`
CDOViewProviderRegistry.`addViewProvider(CDOViewProvider viewProvider)`
Registers the given view provider instance with this registry.
`boolean`
CDOViewProviderRegistry.`hasViewProvider(CDOViewProvider viewProvider)`
Returns `true` if the given view provider instance is registered with this registry, `false` otherwise.
`void`
CDOViewProviderRegistry.`removeViewProvider(CDOViewProvider viewProvider)`
Removes the given view provider instance from this registry.

## Uses of CDOViewProvider in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOViewProvider
Modifier and Type
Method
Description
`void`
InternalCDOView.`setProvider(CDOViewProvider provider)`